Pokemon planet - this plugin is not supported2

I try to play pokemon planet here in brave browser but here’s my problem, I can’t play this site or game here in this browser due to “This plugin si not supported”. I tried to download adobe flash player extension but still it doesn’t fix at all and the pokemon planet still not working. Help please!

https://pokemon-planet.com/game.php\

@jfaquino101513,
That seems strange – do you have Flash updated to the latest version on your PC (note that Flash is being depreciated soon)?

If so, I would suggest clearing any/all permissions you’ve set for the site, then logging in and configuring them again. Try the following:

  1. Go to pokemon-planet.com/game.php
  2. Click the “lock” icon in the address bar
  3. Click Site settings then the Reset permissions option on the next page (the browser will likely ask you to reload the page, make sure you do so).

Now go back to that same page – it should be telling you that Flash player needs to be enabled. You should also a “puzzle-piece” icon with an x on it in the address bar (right-hand side).

  1. Click the “puzzle-piece” icon in the address bar
  2. Click Run flash this time
  3. The page will refresh and the game window should now say Click here to enable Flash player. Please do so.
  4. Now, you should see the browser ask you to Allow Flash to access the site – click Allow
  5. The page should reload one final time and then the game should render.

I’ve taken a short screen recording of the process for you to follow: